Page MenuHomePhabricator

Notification icon stuck showing a number but dropdown does not show any notifications
Closed, ResolvedPublic

Description

No matter what I do my notifications won't go away - i've tried clearing locally from each wiki, meta, changing global prefs and I finally got it down from 99+ but it is now stuck at 10 and different browsers, logging in/out, etc... will not make them go away.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2019, 6:13 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptMar 3 2019, 6:14 PM

Which exact website (full web address) is this about? Which exact steps have you tried to perform to "make them go away"?

Can you please go to that website but use debug=true in the address, and check if there are any errors in your web browser's console when you try to make them go away? See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts for how to do that exactly. Thanks!

I have tried everything at this point including the above - the dropdown and full list won't even show my notifications. I disabled all of my scripts globally and locally and tried to remove them and they *still* won't go away and it's stuck at 6 notifications, though I can clear *new* notifications. Someone has actually suggested that it may be the result of a page that was deleted though I couldn't begin to tell you what it was since I have no way to tell what it actually is for.

I also tried the debug and safemode with no scripts enabled and all of my js blanked and i'm still having hte same issue. The console log gives no errors either.

Aklapper renamed this task from Notifications won't go away to Notification icon stuck showing a number but dropdown does not show any notifications.Mar 8 2019, 6:48 PM

@Chrissymad - when you go to any of the wikis listed on your Special:Notifications page (Irish, Arabic etc) - do still see the stuck Alert badge number too?

The screenshot displays the state that should not happen - wikis with zero unread notifications should not be displayed on Special:Notifications.

I checked the case when a page for which notifications came is deleted. The notifications associated with the page will be deleted too.

It seems that it's hard to isolate what notifications those 6 alerts might be referring to. Also I checked for unseen but deleted notifications (event_deleted=1, notification_seen=0, notification_read_timestamp is NULL) - 79 notifications. I checked only enwiki.

I actually disabled all scripts then went to each of the listed wikis and checked. Same problem. No notifications.

I also tried the debug and safemode with no scripts enabled and all of my js blanked and i'm still having hte same issue. The console log gives no errors either.

@Praxidicae: That image displays some custom clock in the corner. That should not happen when using safemode?

According to the database, @Praxidicae does in fact have unread notifications on a bunch of wikis. Can you see those notifications if you visit those wikis directly?

Praxidicae added a comment.EditedMar 23 2019, 6:06 PM

Went through and clicked your links @Catrope and it went down to 2 and then back up to 3, but even after going back through now it's not showing any unread messages and isn't decreasing after 3. :( I'll also note that it appears to be Irish and Basque Wikipedia that appear to be the problem. These are the two that consistently show up in my drop down.

Probably worth noting, I went to both projects and just made my talk page with a test edit and now the notifs have disappeared...

Probably worth noting, I went to both projects and just made my talk page with a test edit and now the notifs have disappeared...

That makes sense. You would likely have gotten a "thank you for your first edit" notification on each wiki, and getting a notification causes things to be recomputed.

Are notifications now behaving entirely normally for you? Of course this should never have happened, but if you're no longer seeing any weird behavior, that means I shouldn't look at your account to figure out what a broken state looks like :)

Catrope closed this task as Resolved.Apr 3 2019, 6:01 PM